Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationTargetSubject

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationTargetSubject

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationTargetSubject

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Target Subject', and utility methods for working with them. specDomain: V19584 (C-0-D10901-V10286-V19584-cpt)

See Also:
  `CDAR2Package.getParticipationTargetSubject()`

Field Summary
`static int` | `SBJ` The 'SBJ' literal value.
`static ParticipationTargetSubject` | `SBJ_LITERAL` The 'SBJ' literal object.
`static int` | `SPC` The 'SPC' literal value.
`static ParticipationTargetSubject` | `SPC_LITERAL` The 'SPC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Target Subject' enumerators.

Method Summary
`static ParticipationTargetSubject` | `get(int value)` Returns the 'Participation Target Subject' literal with the specified integer value.
`static ParticipationTargetSubject` | `get(java.lang.String literal)` Returns the 'Participation Target Subject' literal with the specified literal value.
`static ParticipationTargetSubject` | `getByName(java.lang.String name)` Returns the 'Participation Target Subject' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SBJ

    public static final int SBJ

  The 'SBJ' literal value.

  If the meaning of 'SBJ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SBJ_LITERAL`, Constant Field Values

### SPC

    public static final int SPC

  The 'SPC' literal value.

  If the meaning of 'SPC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPC_LITERAL`, Constant Field Values

### SBJ_LITERAL

    public static final ParticipationTargetSubject SBJ_LITERAL

  The 'SBJ' literal object.

  See Also:
    `SBJ`

### SPC_LITERAL

    public static final ParticipationTargetSubject SPC_LITERAL

  The 'SPC' literal object.

  See Also:
    `SPC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Target Subject' enumerators.

Method Detail

### get

    public static ParticipationTargetSubject get(java.lang.String literal)

  Returns the 'Participation Target Subject' literal with the specified literal value.

### getByName

    public static ParticipationTargetSubject getByName(java.lang.String name)

  Returns the 'Participation Target Subject' literal with the specified name.

### get

    public static ParticipationTargetSubject get(int value)

  Returns the 'Participation Target Subject' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD